﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XamDockManagerStarHeightCase
{
    public class HeightConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            double val = (double)value;

            if (val != null)
            {
                if (parameter.ToString().Contains("Top"))
                {
                    return val * .75;
                }
                else if(parameter.ToString().Contains("Bottom"))
                {
                    return val * .25;
                }
                else
                {
                    return Binding.DoNothing;
                }
            }
            else
            {
                return Binding.DoNothing;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
